Bug 59492 - mke2fs will only create 4k blocks with IBM ServeRaid disk filesystems
mke2fs will only create 4k blocks with IBM ServeRaid disk filesystems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-08 17:20 EST by Mike Cooling
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Cooling 2002-02-08 17:20:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Win98; U)

Description of problem:
I have an application which uses about 1 million little files. So typically I create a filesystem with 1k blocks and extra inodes using a command like 
the one shown below.

No matter what combination of parameters I use, mke2fs will not work with 1024 or 2048 block sizes with the hardware details below.

Version-Release number of selected component (if applicable):
1.23-1.7.1

How reproducible:
Always

Steps to Reproduce:
1. mke2fs -b 1024 -i 2048  /dev/sda7
2.
3.
	

Actual Results:  If there was a working filesystem already there it is corrupted. I get the following output:
-------
mke2fs 1.23, 15-Aug-2001 for EXT2 FS 0.5b, 95/08/09                             
Filesystem label=                                                               
OS type: Linux                                                                  
Block size=1024 (log=0)                                                         
Fragment size=1024 (log=0)                                                      
2142208 inodes, 4280503 blocks                                                  
214025 blocks (5.00%) reserved for the super user                               
First data block=1                                                              
523 block groups                                                                
8192 blocks per group, 8192 fragments per group                                 
4096 inodes per group                                                           
Superblock backups stored on blocks:                                            
        8193, 24577, 40961, 57345, 73729, 204801, 221185, 401409, 663553,       
        1024001, 1990657, 2809857                                               
                                                                                
mke2fs: Attempt to write block from filesystem resulted in short write zeroing block 4280496 at end of filesystem
-----

Expected Results:  The filesystem should have been created.

The same command works on an IBM Netfinity 4000r which also has internal 9Gig SCSI disks, but no Raid controller.


Additional info:

This failure occurs with an IBM xSeries 330 Type 8654 Model 51Y. There are 2 9Gig internal SCSI disks which are mirrored. Here are the results 
from lspci:
00:00.0 Host bridge: ServerWorks CNB20LE (rev 06)                               
00:00.1 Host bridge: ServerWorks CNB20LE (rev 06)                               
00:01.0 VGA compatible controller: S3 Inc. Savage 4 (rev 04)                    
00:02.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
00:0a.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
00:0f.0 ISA bridge: ServerWorks OSB4 (rev 50)                                   
00:0f.1 IDE interface: ServerWorks: Unknown device 0211                         
00:0f.2 USB Controller: ServerWorks: Unknown device 0220 (rev 04)               
01:03.0 SCSI storage controller: Adaptec 7892P (rev 02)

The disk is partitioned as follows:
Disk /dev/sda: 254 heads, 63 sectors, 1110 cylinders        
Units = cylinders of 16002 * 512 bytes                      
                                                            
   Device Boot    Start       End    Blocks   Id  System    
/dev/sda1   *         1       269   2152237+  83  Linux     
/dev/sda2           270      1110   6728841    5  Extended  
/dev/sda5           270       511   1936210+  83  Linux     
/dev/sda6           512       575    512032+  82  Linux swap
/dev/sda7           576      1110   4280503+  83  Linux
Comment 1 Florian La Roche 2002-02-17 06:58:37 EST
This sounds like a kernel problem to read the end of unaligned partitions.
I tink newer Red Hat kernels ave a quick patch for this. A clean patch will
go into kernel 2.5.x.

cu,

Florian La Roche
Comment 2 Mike Cooling 2002-08-16 12:58:46 EDT
I just upgraded several of my systems from Redhat 7.1 to 7.2. The application I run on these systems does not yet support 7.3.

I am still getting the same results on this issue, even with ext3 filesystems. However on an IBM Netfinity 4000r system with the same SCSI 
disks but no raid controller, mke2fs works OK.

The newest kernel for 7.2 is still 2.4.9-31. Does Redhat 7.3 have the 2.5 kernel you mentioned?  If not what release is 2.5 targetted for?
Comment 3 Mike Cooling 2002-08-16 13:01:19 EDT
Oops. I made a typo - the newest kernel I'm running is 2.4.9-34 (not 31).
Comment 4 Bugzilla owner 2004-09-30 11:39:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.